Ir ao conteúdo
  • Cadastre-se
BLucas

RESOLVIDO Dificuldade em instalar Driver AMD (catalyst 14.4) no Lubuntu 13.10

Recommended Posts

Eai galera, bem vou resumir bem o meu problema.

 

Atualmente no pc1 da assinatura, troquei a GPU Nvidia por uma GPU AMD, mas não estou conseguindo instalar o driver proprietario da AMD, o catalyst 14.4. Se alguém puder me auxiliar ficarei grato, pois ainda estou aprendendo a mexer no Linux.

 

O que tenho no momento, estou usando o pc no momento, fui em drivers adicionais e marquei a opção do driver proprietário, o catalyst apareceu em preferencias, mas ao clicar nele, aparece está mensagem:

 

Houve um problema ao iniciar o Catalyst Control Center edição Linux. Pode ter sido causado pelo seguinte.

 

Não há driver gráfico AMD instalado ou o driver gráfico AMD não está funcionando corretamente.

Instale o driver AMD driver adequado ao seu hardware AMD ou configure usando aticonfig.

 

Já baixei o pacote do site da AMD, e estou empacado justamente neste ponto, não sei como dar o comando pelo terminal para que abra o pacote por lá.

 

Valeu.

Compartilhar este post


Link para o post
Compartilhar em outros sites

desinstalou o driver antigo?

 

outra.. experimente por na linha do kernel "rdblacklist=nouveau"

Compartilhar este post


Link para o post
Compartilhar em outros sites

@ilkyest

Não desinstalei, fui em drivers proprietarios e marquei a opção do driver da AMD (fglrx-updates).

 

O comando para exclui é aquele purge nvidia e tal...?

 

olha só  que louco, tá falando que tá sem o driver da AMD, mas tá foldando...hehehehe wu 9046 PPD de 3000 hahahaha

Compartilhar este post


Link para o post
Compartilhar em outros sites

é que não registrou "para o teu hardware" entendeu. o brucutu e derivados é assim mesmo. Por isso que tastei fora.

 

apt-get remove nvidia. Purge é para eliminar também do cache

 

o ideal seria "apt-get remove purge nvidia"

  • Curtir 1

Compartilhar este post


Link para o post
Compartilhar em outros sites

Segundo o terminal diz que:

pcbasico@pcbasico-A780L3L:~$ sudo apt-get remove nvidia

Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
O pacote 'nvidia' não está instalado, por isso não será removido
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
  acpid linux-headers-3.11.0-12 linux-headers-3.11.0-12-generic
  linux-headers-generic linux-image-3.11.0-12-generic
  linux-image-extra-3.11.0-12-generic linux-image-generic
  nvidia-settings-319-updates pkg-config python-xkit screen-resolution-extra
Utilize 'apt-get autoremove' para os remover.
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
 
Acho que não está mais no sistema...

Compartilhar este post


Link para o post
Compartilhar em outros sites

beleza... apt-get update

 

e depois apt-get upgrade para garantir que não faltou nada

  • Curtir 1

Compartilhar este post


Link para o post
Compartilhar em outros sites

Nos sistemas Debian-Family a melhor forma de remover TUDO relacionado a NVIDIA é:

sudo apt-get remove --purge nvidia*

Assim tudo relacionado á NVIDIA será removido e o driver Nouveau será restaurado após a reinicialização

 

 

Segundo o terminal diz que:

pcbasico@pcbasico-A780L3L:~$ sudo apt-get remove nvidia

Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
O pacote 'nvidia' não está instalado, por isso não será removido
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
  acpid linux-headers-3.11.0-12 linux-headers-3.11.0-12-generic
  linux-headers-generic linux-image-3.11.0-12-generic
  linux-image-extra-3.11.0-12-generic linux-image-generic
  nvidia-settings-319-updates pkg-config python-xkit screen-resolution-extra
Utilize 'apt-get autoremove' para os remover.
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
 
Acho que não está mais no sistema...

 

Como você pode ver, os pacotes ainda estão no sistema. Eu não gosto de deixar nada no cache, então:

apt-get autoremove

.

  • Curtir 3

Compartilhar este post


Link para o post
Compartilhar em outros sites

@AmarildoJr muito obrigado. Eu tu enferrujado a beça no ubuntu e derivados... valeu mesmo

 

O autoremove vai dar uma faxina @ApoloBrz

  • Curtir 2

Compartilhar este post


Link para o post
Compartilhar em outros sites

Obrigado@AmarildoJr, esse comando eu não sabia...tentei aqui e ele diz que vai remover estes arquivos: 

 
Os pacotes a seguir serão REMOVIDOS:
  acpid linux-headers-3.11.0-12 linux-headers-3.11.0-12-generic
  linux-headers-generic linux-image-3.11.0-12-generic
  linux-image-extra-3.11.0-12-generic linux-image-generic pkg-config
  python-xkit screen-resolution-extra
0 pacotes atualizados, 0 pacotes novos instalados, 10 a serem removidos e 0 não atualizados.
Depois desta operação, 258 MB de espaço em disco serão liberados.
Você quer continuar [s/n]? 
 
Sou pouca coisa acima do nivel de iniciante no Linux, mas acho que isso vai apagar coisa que não deve ser apagada não?

______________________________________

 

Ah ia esquecendo...rsrsrs

 

Consegui abrir o catalyst (2.18), mas a versão dele é muito antiga, está na 13.101-130523a-157671E-ati que parece ser o driver inicial voltado para os games da Steam.

 

Bom, abri o Steam, e pelo sistema de atualização dele informa "não foi possivel realizar a detecção de driver de video do sistema", bom abri dois jogos, eles rodaram, mas bem meia bocado, bem aquém do que deveriam rodar. (Bastion, que é bem leve e o EuroTruck Simulator que é bem mais pesado).

Compartilhar este post


Link para o post
Compartilhar em outros sites

@ApoloBrz, se o Debian diz que aqueles pacotes não são mais necessários eu acho que você pode confiar no que o sistema diz. Se acontecer algo de ruim é culpa do Debian ;)

  • Curtir 2

Compartilhar este post


Link para o post
Compartilhar em outros sites

@AmarildoJr, obrigado pela ajuda, eu acabei fazendo o upgrade do 13.10 para o 14.04, e tive algumas mudanças, o catalyst mudou para o 2.20, mas o driver continua o mesmo. Ainda não fiz teste em games e no folding@home(que é o meu intuito).

 

Já volto com os resultados.

 

Edit:

O Bastion rodou leve, não sei porque mas as configurações do jogo estava erradas, estava contando que eu usava um joystick quando nem tenho...Creio que está rodando @ 60frames/s

O EuroTruck, rodou com bastante Lag, mesmo abaixando as configurações gráficas, com a GTX 650ti não havia estes lags (tem aquele nome em inglês, acho que "sttun-alguma-coisa", mas estamos no Br Br rsrsrsrs), mas ainda vou dar mais uma olhada neste jogo, vou instalar mais um outro jogo aqui, tá rodando, mas não satisfatoriamente. 

 

E o Folding...ah, aqui eu sei lá o que acontece...acho que o driver não é o melhor ainda...vou tentar colocar o mais recente.

Sem contar com o uso de 100% dos 2 núcleos do G860...aff

 

 

Teria algum comando para acompanhar a temperatura da GPU? o Psensor nem o Xsensor conseguem mostrar.

post-618173-0-05465800-1411078538_thumb.

Compartilhar este post


Link para o post
Compartilhar em outros sites

Minha experiência com os drivers proprietários da AMD foram frustantes.

 

A instalação não é trivial, pois precisa modificar um trecho do código fonte do módulo do kernel (ele dá um erro na compilação). Depois de resolver esse problema o driver instala, mas quando você reinicia não apresenta mais vídeo (tentei usando GNOME e KDE no arch linux e Fedora, com os mesmos resultados).

 

A única vez que deu certo foi com o Linux Mint Debian Edition com o kernel 3.11 (hoje estamos no 3.16), e toda vez que você atualizar o kernel vai ter que recompilar o driver.

 

Acho que faz uns 8 meses que a AMD não atualiza o driver para Linux.

 

Fiquei com os drivers open source mesmo, ainda não têm toda a performace do driver proprietário mas fora isso funcionam muito bem, sem dores de cabeça.

  • Curtir 1

Compartilhar este post


Link para o post
Compartilhar em outros sites

@Projetos_afg

Valeu pelo relato broder, eu até que usaria o driver aberto, mas para o que quero não serve...

 

 

________________

Bom galera, pelo menos depois de atualizar o SO para o Lubuntu 14.04, os games ficaram mais estáveis, estão rodando bem. O The Witcher 2 é o mais pesado que tenho disponível para testar, irei testá-lo agora(já edito aqui pra dar a minha análise).

Compartilhar este post


Link para o post
Compartilhar em outros sites

É galera me conformei mesmo...AMD + Linux = muita raiva! 

 

Valeu pela ajuda pessoal! de um modo geral, aprendi algumas coisas novas :joia: apesar da frustração de não poder foldar com a GPU. 

Compartilhar este post


Link para o post
Compartilhar em outros sites
Visitante
Este tópico está impedido de receber novos posts.





Sobre o Clube do Hardware

No ar desde 1996, o Clube do Hardware é uma das maiores, mais antigas e mais respeitadas publicações sobre tecnologia do Brasil. Leia mais

Direitos autorais

Não permitimos a cópia ou reprodução do conteúdo do nosso site, fórum, newsletters e redes sociais, mesmo citando-se a fonte. Leia mais

×